## org.eclipse.emf.common.notify
Interface NotificationChain

All Known Implementing Classes:
  ENotificationImpl, FeatureMapUtil.FeatureENotificationImpl, ItemProvider.ItemProviderNotification, NotificationChainImpl, NotificationImpl

    public interface NotificationChain

An accumulator of notifications. As notifications are produced, they are `accumulated` in a chain, and possibly even merged, before finally being `dispatched` to the notifier.

Method Summary
`boolean` `add(Notification notification)` Adds a notification to the chain.
`void` `dispatch()` Dispatches each notification to the appropriate notifier via `Notifier.eNotify`.

Method Detail

### add

    boolean add(Notification notification)

  Adds a notification to the chain.

  Returns:
    whether the notification was added.

### dispatch

    void dispatch()

  Dispatches each notification to the appropriate notifier via `Notifier.eNotify`.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.